Get a page of consignments
Query Parameters
- Type: integerFormat: int32Page
Index The page index of the search.
- Type: integerFormat: int32Page
Size The number of consignments to be returned in the response. Returns pages of up to 500 records.
- Type: stringSearch
Text The search text to filter consignments by. This can be all or part of a consignment number, reference number, client name or container number.
- Type: stringConsignment
Numbers A list of consignment numbers to return. Separate multiple values with commas. Only exact matches are returned.
- Type: stringFormat: uuidClient
Id The ID of the client.
- Type: stringFormat: uuidCarrier
Id The ID of the carrier.
- Type: stringFormat: uuidWarehouse
Id The ID of the warehouse, either origin or destination.
- Type: enumStatus
The current status of the consignment, expressed as an integer.
valuesComplete = 0Pending = 1ReadyToPick = 2ReadyToDispatch = 3ReadyToReceive = 4InProgress = 5Closed = 6InTransit = 7Draft = 8Void = -2Open = -1 - Type: array of integerFormat: int32Edi
Status The external EDI status of the consignment, expressed as an integer array, for the current connection. Use a null value to filter for an unset EDI status
- Type: stringExternal
Id The external id of the consignment.
Responses
- application/json
Request Example for get/v1/consignments
curl 'https://api.consignlyhq.com/v1/consignments?PageIndex=1&PageSize=25&SearchText=Example%20Company&ConsignmentNumbers=ABC-000004-IN%2CABC-000005-OUT&ClientId=00000000-0000-0000-0000-000000000000&CarrierId=00000000-0000-0000-0000-000000000000&WarehouseId=00000000-0000-0000-0000-000000000000&Status=1&ExternalId=ORDER123'
{
"index": 1,
"total": 1,
"consignments": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"clientName": null,
"clientId": "123e4567-e89b-12d3-a456-426614174000",
"clientCode": null,
"carrierId": null,
"carrierName": null,
"carrierCode": null,
"carrierReferenceNumber": null,
"carrierRunNumber": null,
"carrierRunOrdinal": null,
"consignmentNumber": null,
"referenceNumber": null,
"dateEntered": "date (YYYY-MM-DD)",
"type": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
"status": "enum (Complete = 0, Pending = 1, ReadyToPick = 2, ReadyToDispatch = 3, ReadyToReceive = 4, InProgress = 5, Closed = 6, InTransit = 7, Draft = 8, Void = -2, Open = -1)",
"warehouseId": null,
"warehouseCode": null,
"warehouseName": null,
"ediStatus": null
}
]
}